Выполнение произвольных команд в Gentoo courier-imap

Дата публикации:
24.04.2007
Дата изменения:
27.01.2008
Всего просмотров:
1233
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Gentoo Linux 1.x
Уязвимые версии: Gentoo Linux 1.x

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за некорректной обработки переменной "XMAILDIR" в courier-imapd.indirect и courier-pop3d.indirect. Удаленный пользователь может с помощью специально сформированного имени пользователя выполнить произвольные команды на системе с привилегиями учетной записи root.

URL производителя: www.gentoo.org

Решение: Установите последнюю версию "net-mail/courier-imap-4.0.6-r2" или выше с сайта производителя.

Ссылки: [ GLSA 200704-18 ] Courier-IMAP: Remote execution of arbitrary code

или введите имя

CAPTCHA